# PSF-LoginServer - master - net.psforever.packet.control.RelatedA
PSF - LoginServer - master - net.psforever.packet.control.RelatedA
Keywords: PSF LoginServer master net.psforever.packet.control.RelatedA

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package control
  Definition Classes
    packet
- ClientStart
- ConnectionClose
- ControlSync
- ControlSyncResp
- HandleGamePacket
- MultiPacket
- MultiPacketEx
- RelatedA
- RelatedB
- ServerStart
- SlottedMetaPacket
- TeardownConnection
- Unknown30

c

net.psforever.packet.control

# RelatedA 

###
Companion object RelatedA

#### final case class RelatedA(slot: Int, subslot: Int) extends PlanetSideControlPacket with Product with Serializable

Dispatched from the client in regards to errors trying to process prior `ControlPackets`. Explains which packet was in error by sending back its `subslot` number.

slot

  the type of `ResultA` packet; valid types are integers 0-3

subslot

  identification of a control packet

Source
  RelatedA.scala

Linear Supertypes
Product, Equals, PlanetSideControlPacket, PlanetSidePacket, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RelatedA
2. Product
3. Equals
4. PlanetSideControlPacket
5. PlanetSidePacket
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new RelatedA(slot: Int, subslot: Int)

   slot

     the type of `ResultA` packet; valid types are integers 0-3

   subslot

     identification of a control packet

### Type Members

1.  type Packet = RelatedA

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def encode: Attempt[BitVector]
   Definition Classes
     RelatedA → PlanetSidePacket
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  def opcode: ControlPacketOpcode.Value
    Definition Classes
      RelatedA → PlanetSideControlPacket → PlanetSidePacket
15.  def productElementNames: Iterator[String]
    Definition Classes
      Product
16.  val slot: Int
17.  val subslot: Int
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Product

### Inherited from Equals

### Inherited from PlanetSideControlPacket

### Inherited from PlanetSidePacket

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped